import express from 'express'
import analyticsController from '../controller/analyticsController.js'
import authMiddleware from '../middleware/authMiddleware.js'

const router = express.Router()

// Read - Get dashboard analytics for user
router.get('/', authMiddleware, analyticsController.getAnalysis)

// Read - Get dashboard summary
router.get('/dashboard', authMiddleware, analyticsController.getDashboardAnalytics)

// Read - Get calendar data for current month
router.get('/calendar', authMiddleware, analyticsController.getCalendarData)

// Read - Get calendar records for specific date
router.get('/calendar/:date', authMiddleware, analyticsController.getDateRecords)

export default router
